Subject: Re: Italeri Macchi C205 kit review for ARC
From: "Steve Bamford ARC" <[email-masked]>
To: "Youngerman" <[email-masked]>
Date: Sun, 29 Jun 2003 22:46:43 -0700

----- Original Message ----- 
  From: Youngerman 
  To: Steve Bamford 
  Sent: Thursday, May 29, 2003 11:51 PM
  Subject: Italeri Macchi C205 kit review for ARC

  Gallery Template #05

  Italeri 1/72 Macchi C205 Veltro

  by "Joe Youngerman"
  --------------------

        Steve Bamford will insert full sized version of photo 01.jpg here 

     While the Italians never produced aircraft as well known as the P-51 Mustang, Spitfire or Bf-109 in World War Two they did produce some excellent fighter planes. The "Veltro" or Greyhound was an outgrowth of Macchi's C202 with and improved engine and a retractable tail wheel. The Series III I modeled had two 20mm cannon in the wings replacing the small caliber machine guns which were virtually useless against bomber formations. Less than 100 Veltro series III were built before the armistice but they were used with some success by the ANR and the co-belligerent forces and some 100 more were completed by AerMacchi after the armistice for the ANR. My aircraft depicts a C205 flying with 3 Squadriglia 1 Gruppo Caccia around March of 1944.

     Italeri's kit is not of Hasegawa or Tamiya fit quality but it does much better justice to this aircraft than the ancient Supermodel kit we have all seen for years. The panel lines seem fairly accurate and are recessed except for the ridiculous rivet detail found mostly on the wings. This is no major problem since once it is sanded off the recessed detail remains. The cockpit detail is not bad for the scale and I chose to add nothing here as this was to be a "quickie" build for me. The landing gear detail is good and the main gear wells are boxed in with some limited details. The tail wheel well is nearly non-existent and it nearly looks like a C202 tail with a couple of gear doors supplied! The nose section of my kit did not fit well and considerable sanding, shaping and rescribing had to be done. I also had to drill out the air intake and fabricate the butterfly valve for the inside of the dust filter. I postioned mine open as this appears to be correct for engine start. On the plus side, the wing to fuselage joint is very good.

        Click on images below to see larger images
       
        Steve Bamford will insert a click-able smaller version of photo 03.jpg here.  Clicking on that photo will bring up the full sized version of photo 03.jpg 

        Steve Bamford will insert a click-able smaller version of photo 04.jpg here.  Clicking on that photo will bring up the full sized version of photo 04.jpg 

       Steve Bamford will insert a click-able smaller version of photo 05.jpg here.  Clicking on that photo will bring up the full sized version of photo 05.jpg 

     I finished my model using Polly Scale RLM 76 and Model Master enamels for the top surface RLM 75/74 colors. The landing gear and gear doors should be belly color (76) and I believe the gear wells also. Consult photos and give it your best guess! I used Polly Scale Italy Cockpit Green for the cockpit and same brand for the white fuselage band. The Macchi made prop should black with yellow tips...a practice retained in spite of the otherwise German paint scheme. The Decals are from Third Group Decals sheet 72-013 and went on beautifully! These folks do some great work. 

  The finished kit looks the part and the "quickie" build went fairly quick. I would definitely recommend the kit if you are in the mood for Italian!

        Steve Bamford will insert full sized version of photo 02.jpg here 

  Photos and text © 2003 by Joseph Youngerman